## com.bbn.openmap.image.wms
Class DefaultLayerAdapter

    java.lang.Object
      com.bbn.openmap.image.wms.DefaultLayerAdapter

All Implemented Interfaces:
  IWmsLayer

public class DefaultLayerAdapter
extends java.lang.Object
implements IWmsLayer

Version:
  $Header: /cvs/distapps/openmap/src/openmap/com/bbn/openmap/image/wms/DefaultLayerAdapter.java,v 1.1.2.3 2007/08/13 16:48:47 dietrick Exp $
Author:
  pitek

Field Summary
`protected Layer` `layer`

Constructor Summary
`DefaultLayerAdapter(Layer layer)` Creates a new instance of OpenMapLayerAdapter

Method Summary
`java.lang.String` `getAbstract()`
`int` `getFixedHeight()`
`int` `getFixedWidth()`
`java.lang.String` `getKeywordList()`
`IWmsLayerStyle[]` `getStyles()`
`java.lang.String` `getTitle()`
`java.lang.String` `getWmsName()`
`boolean` `isCascaded()`
`boolean` `isNoSubsets()`
`boolean` `isOpaque()`
`boolean` `isQueryable()`
`boolean` `isStyleSupported(java.lang.String name)`
`LayerFeatureInfoResponse` `query(int x, int y)` Do a GetFeatureInfo query.
`void` `setDefaultStyle()`
`void` `setStyle(java.lang.String name)` Ustawia styl w warstwie.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### layer

    protected final Layer layer

Constructor Detail

### DefaultLayerAdapter

    public DefaultLayerAdapter(Layer layer)

  Creates a new instance of OpenMapLayerAdapter

Parameters:
  `layer` -

Method Detail

### isQueryable

    public boolean isQueryable()

  Specified by:
    `isQueryable` in interface `IWmsLayer`
  Returns:

### query

    public LayerFeatureInfoResponse query(int x,
                                          int y)

  Description copied from interface: `IWmsLayer`
  Do a GetFeatureInfo query.

  Specified by:
    `query` in interface `IWmsLayer`
  Parameters:
    `x` -
    `y` -
  Returns:

### isOpaque

    public boolean isOpaque()

  Specified by:
    `isOpaque` in interface `IWmsLayer`
  Returns:

### isNoSubsets

    public boolean isNoSubsets()

  Specified by:
    `isNoSubsets` in interface `IWmsLayer`
  Returns:

### isCascaded

    public boolean isCascaded()

  Specified by:
    `isCascaded` in interface `IWmsLayer`
  Returns:

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `IWmsLayer`
  Returns:

### getStyles

    public IWmsLayerStyle[] getStyles()

  Specified by:
    `getStyles` in interface `IWmsLayer`
  Returns:

### getWmsName

    public java.lang.String getWmsName()

  Specified by:
    `getWmsName` in interface `IWmsLayer`
  Returns:

### getKeywordList

    public java.lang.String getKeywordList()

  Specified by:
    `getKeywordList` in interface `IWmsLayer`
  Returns:

### getFixedWidth

    public int getFixedWidth()

  Specified by:
    `getFixedWidth` in interface `IWmsLayer`
  Returns:

### getFixedHeight

    public int getFixedHeight()

  Specified by:
    `getFixedHeight` in interface `IWmsLayer`
  Returns:

### getAbstract

    public java.lang.String getAbstract()

  Specified by:
    `getAbstract` in interface `IWmsLayer`
  Returns:

### setStyle

    public void setStyle(java.lang.String name)

  Description copied from interface: `IWmsLayer`
  Ustawia styl w warstwie.

  Specified by:
    `setStyle` in interface `IWmsLayer`
  Parameters:
    `name` -
  Throws:
    `java.lang.IllegalArgumentException`

### isStyleSupported

    public boolean isStyleSupported(java.lang.String name)

  Specified by:
    `isStyleSupported` in interface `IWmsLayer`
  Parameters:
    `name` -
  Returns:

### setDefaultStyle

    public void setDefaultStyle()

  Specified by:
    `setDefaultStyle` in interface `IWmsLayer`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details